#include "Config.h"
#include <avr/io.h>

#define led 13
#define droite 7
#define gauche 6

extern unsigned char myFont[][8];
extern unsigned char Logo_Projet[];
unsigned char data[5];

void setup() {
  Serial.begin(9600);
  pinMode(led, OUTPUT);
/*  pinMode(6, OUTPUT);
  pinMode(7, OUTPUT);*/
  
  pinMode(2, OUTPUT);
  digitalWrite(30, LOW);  delay(200);
  i2c_init();            delay(200);
  init_OLED();           delay(200);
  clear_display();       delay(500);
  digitalWrite(30, HIGH); delay(200);
  sendcommand(0x20);            //Set Memory Addressing Mode
  sendcommand(0x02);            //Set Memory Addressing Mode ab Page addressing mode(RESET)  
  sendcommand(0xa6);            //Set Normal Display (default) //  sendcommand(0xa7);  //Set Inverse Display  0xa6 pour normal
  clear_display();
  for(int i=0;i<128*8;i++) { SendChar(Logo_Projet[i]); }   // show 128* 64 picture avec 8 pages
  delay(2000);
  clear_display();
  
  
  clignote(4);
  setXY(1,0);
}

void loop() {
  
  int compt=0;
  while (Serial.available() > 0) {
    data[compt] = Serial.read(); compt++; 
     
   
   
    //setXY(1,0); sendStr(data);
    digitalWrite(led, HIGH);
  }
  
  for ( int b=0; b<compt; b++) {
    unsigned char i=0;
    for(i=0;i<8;i++) { SendChar(myFont[data[b]-0x20][i]); }
  }
  digitalWrite(led, LOW);
  delay(750);
  clear_display();
}


